Skip to main content
GET
Export Whitelist

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer | null

Page number.

Example:

1

perPage
integer | null

Items per page, 1-100. Must be at least 1. Must not be greater than 100.

Example:

null

orderColumn
enum<string> | null
Available options:
id,
value,
type,
reason,
enabled,
created_at
Example:

null

orderDirection
enum<string> | null
Available options:
asc,
desc
Example:

null

id
string | null

Filter by entry ID.

Example:

null

types
enum<string>[]
Available options:
email,
email_domain,
discord_id,
country_code,
city,
ip,
ip_range,
isp,
asn,
user_agent
Example:

null

value
string | null

Filter by whitelisted value.

Example:

null

reason
string | null

Filter by reason.

Example:

null

payment_method_ids
object | null

Filter by payment method IDs.

Example:

null

enabled
boolean | null

Only enabled or disabled entries.

Example:

null

active_from
string | null

Must be a valid date.

Example:

null

active_to
string | null

Must be a valid date. Must be a date after active_from.

Example:

null

created_at_from
string | null

Must be a valid date.

Example:

null

created_at_to
string | null

Must be a valid date. Must be a date after created_at_from.

Example:

null

Response

200 - text/plain

CSV file download

The response is of type string.

Example:

"ID,Type,Value,Reason,Enabled,Payment Method IDs,Active From,Active To,Created At,Updated At\n1,email,trusted@sellauth.test,Example entry,1,,,,2026-07-24 12:00:00,2026-07-24 12:00:00"